Name:           usbsink
Version:        0.3.1
Release:        1%{?dist}
Summary:        USBSink is a GNOME program for automatic file synchronization over USB

Group:          Applications/Productivity
License:        GPL
URL:            http://usbsink.sourceforge.net
Source0:        http://easynews.dl.sourceforge.net/sourceforge/usbsink/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomemm26-devel gnome-vfsmm26-devel gtkmm24-devel pcre-devel libglademm24-devel gamin-devel gnome-doc-utils gettext scrollkeeper
#Requires:       gtkmm24
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
USBSink is a GNOME program for automatic file synchronization over USB.
It is designed for users of removable drives, such as flash drives or
external hard disks.

In USBSink you create tasks which define program activities. Within a
task, you subscribe and files and directories to transfer. Each task
is associated to a particular USB drive. The program then synchronizes
the files whenever possible. For example, it could be when a target
flash drive is mounted or plugged in, and it contains some new or
modified files.


%prep
%setup -q

%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%doc README COPYING COPYRIGHT NEWS ChangeLog



%changelog
* Sun Feb 25 2007 Jef Spaleta <jspaleta@gmail.com> 0.3.1-1
update to 0.3.1

* Wed Feb 21 2007 Jef Spaleta <jspaleta@gmail.com> 0.3.0-4
add scriptlet for gtk-update-icon-cache

* Sun Feb 11 2007 Jef Spaleta <jspaleta@gmail.com> 0.3.0-3
Minor specfile changes for fedora review

* Sat Feb 10 2007 Jef Spaleta <jspaleta@gmail.com> 0.3.0-2
Patch broken configure.ac quoting

* Sat Feb 10 2007 Jef Spaleta <jspaleta@gmail.com> 0.3.0-1
Initial build
